Bug 1128282 - RFE: Staypuft should prevent users adding hosts through foreman UI
Summary: RFE: Staypuft should prevent users adding hosts through foreman UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: Foreman (RHEL 6)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z2
: Installer
Assignee: Brad P. Crochet
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 19:23 UTC by Mike Burns
Modified: 2014-11-04 17:01 UTC (History)
7 users (show)

Fixed In Version: ruby193-rubygem-staypuft-0.4.2-1.el6ost
Doc Type: Enhancement
Doc Text:
Previously, it was possible to directly assign hosts to the deployment host groups created by the installer. This would cause problems when attempting to provision a Red Hat Enterprise Linux OpenStack Platform environment using hosts manually assigned to these host groups. With this update, deployment host groups are no longer visible in the user interface for the installer or the corresponding API, making it impossible to directly assign hosts to these host groups.
Clone Of:
Environment:
Last Closed: 2014-11-04 17:01:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1800 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Installer Bug Fix Advisory 2014-11-04 22:00:19 UTC

Description Mike Burns 2014-08-08 19:23:00 UTC
Description of problem:
Currently, a user can assign any host to any of the staypuft created host groups through the foreman UI.

This causes problems when trying to orchestrate OpenStack deployments.  The hosts show up as already provisioned.

Comment 2 Brad P. Crochet 2014-10-02 17:32:25 UTC
PR Submitted: https://github.com/theforeman/staypuft/pull/330

Comment 3 Brad P. Crochet 2014-10-02 17:33:14 UTC
The fix is to remove the hostgroups from the host edit form dropdown.
It also will disallow setting it via the API.

Comment 4 Jason E. Rist 2014-10-09 21:06:40 UTC
Merged

Comment 7 Alexander Chuzhoy 2014-10-14 18:57:34 UTC
Verified:
rhel-osp-installer-0.4.2-1.el6ost.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch
openstack-puppet-modules-2014.1-23.el6ost.noarch
openstack-foreman-installer-2.0.29-1.el6ost.noarch

Per comment #3

A new host can't be assigned to any hostgroup that was created by deployments.

Comment 10 errata-xmlrpc 2014-11-04 17:01:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1800.html


Note You need to log in before you can comment on or make changes to this bug.